Support » Plugin: Disqus Conditional Load » Warning: Previous Versions of DCL Blocks *ALL* Plugins from Receiving Updates

  • Today I discovered a website with some older versions of plugins (several versions behind) and no plugin update notices, even after manually forcing a check. After a lot of manual research I eventually narrowed it down to this plugin preventing update notices.

    Once I discovered this I re-confirmed it multiple times by uploading older versions of plugins with DCL Enabled and Disabled. Whenever DCL was Active no plugin update options would be shown even when forcing checks. After Deactivating DCL plugin update notices would show immediately.

    I also tested this on a completely fresh and otherwise stock WordPress install and can confirm that the issue still existed so it is not a conflict with another theme or plugin.

    This issue was present on the tested sites on at least version 11.0.0 but does not appear to be present in 11.0.1 so if you are using this plugin, check that you are using the latest version. If not you will have to manually update the plugin and you may discover that you suddenly have a lot of other plugin updates pending.

    With recent security issues in several plugins being actively exploited, it is more important than ever to ensure that you are always running up to date versions of all plugins so that you receive the latest security fixes.


    Note: I believe this is the same or similar issue as listed here so sites could be up to two months or more behind on updates:
    https://wordpress.org/support/topic/dcl-conflicting-with-every-other-plugin/

Viewing 2 replies - 1 through 2 (of 2 total)
  • I can also confirm this. We spent several days trying to figure out why one of our sites was not showing any updates and the problem was solved when we deleted the DCL plugin. Re-adding DCL v11.0.1 seemed to fix the problem and updates are now showing. We were VERY behind on updates as a result.

    Also had this issue. Was driving me nuts and it was just by chance I saw this post today. I’ve manually updated the plugin (mine was set at version 10.2 for DCL). Now I have 11 updates to make to plugins that were being blocked from showing updates.

    As @danielmcclure and @dano23 have both said, manually update the plugin via your FTP and it will clear the block that the DCL plugin was causing to other plugins.

    Thanks both for highlighting this – no longer having to pull my hair out.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.